# WorkflowRuntime (dapr-sdk-workflows 0.10.0 API)

Package io.dapr.workflows.runtime

## Class WorkflowRuntime

- java.lang.Object
- - io.dapr.workflows.runtime.WorkflowRuntime

All Implemented Interfaces:
  `AutoCloseable`

    public class WorkflowRuntime
    extends Object
    implements AutoCloseable

Contains methods to register workflows and activities.

### Constructor Summary

Constructors
`WorkflowRuntime​(com.microsoft.durabletask.DurableTaskGrpcWorker worker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `start()` Start the Workflow runtime processing items and block.
`void` `start​(boolean block)` Start the Workflow runtime processing items.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkflowRuntime

    public WorkflowRuntime​(com.microsoft.durabletask.DurableTaskGrpcWorker worker)

### Method Detail

#### start

    public void start()

Start the Workflow runtime processing items and block.

#### start

    public void start​(boolean block)

Start the Workflow runtime processing items.

Parameters:
  `block` - block the thread if true

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`